name: hs-blockchain
version: 0.1.0.0
license: MIT
author: Marc-André Morin
maintainer: m.a.morin3@gmail.com
category: Development
build-type: Simple
extra-source-files: CHANGELOG
cabal-version: >=1.10

library
  exposed-modules:  Math
                  , Block
  hs-source-dirs: src
  build-depends:  base >=4.10 && <5
                , bytestring
                , binary
                , cryptohash
  default-language: Haskell2010

executable hs-blockchain-exe
  main-is: Main.hs
  build-depends:  base >=4.10 && <5
                , hs-blockchain
  hs-source-dirs: app
  ghc-options: -threaded -rtsopts -with-rtsopts=-N
  default-language: Haskell2010

test-suite hs-blockchain-test
  type: exitcode-stdio-1.0
  main-is: Spec.hs
  hs-source-dirs: test
  build-depends:  base >=4.10 && <5
                , hs-blockchain
                , hspec
  ghc-options: -Wall -threaded -rtsopts -with-rtsopts=-N
  default-language: Haskell2010
